/* cyrillic-ext */
@font-face {
  font-family: "Josefin-sans-logo";
  font-style: normal;
  font-weight: 400;
  src: url(../font/josefin-sans-logo-400-normal.woff2) format('woff2');
  font-display: swap;
}
@font-face {
  font-family: "Josefin-sans-logo";
  font-style: normal;
  font-weight: 500;
  src: url(../font/josefin-sans-logo-500-normal.woff2) format('woff2');
  font-display: swap;
}
@font-face {
  font-family: 'Josefin-sans-logo';
  font-style: normal;
  font-weight: 600;
  src: url(../font/josefin-sans-logo-600-normal.woff2) format('woff2');
  font-display: swap;
}
@font-face {
  font-family: "Josefin-sans-logo";
  font-style: normal;
  font-weight: 700;
  src: url(../font/josefin-sans-logo-text-normal.woff2) format('woff2');
  font-display: swap;
}
@font-face {
  font-family: "Fredoka-one-logo";
  font-style: normal;
  font-weight: 400;
  src: url(../font/fredoka-one-logo-400-normal.woff2) format('woff2');
  font-display: swap;
}

@keyframes menu-text-color{
    0%{color:var(--nav-link-color)}
    100%{color:var(--nav-link-hover-color)}
}
@keyframes fadeAlphaInOut {
  0%   { opacity: 0; }
  50%  { opacity: 1; }
  100% { opacity: 0; }
}
@keyframes fadeScaleInOut {
  0% {
    transform: scale(1);  
  }
  50% {
    transform: scale(1.4);
  }
  100% {
    transform: scale(1);
  }
}
@keyframes rotate {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

html,body,#main {
    box-sizing: border-box;
    margin: 0;
    padding: 0;    
}
html{
    font-size: 16px;
    background-color: transparent;
    text-rendering: optimizeLegibility;
    -webkit-text-size-adjust: 100%;
    -moz-text-size-adjust: 100%;
    text-size-adjust: 100%;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
}
body {
  padding-bottom: env(safe-area-inset-bottom);
}
#main{
    min-width: 300px;
}
:root {
    --font-family-global: "system-ui", "-apple-system", "BlinkMacSystemFont", "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif, "System Default", sans-serif;

    --fs-xxl: 2.25rem; /* 36px */
    --fs-xl: 1.5rem;   /* 24px */
    --fs-md: 1rem;     /* 16px */
    --fs-mm: 0.9375rem; /* ≈ 15px */
    --fs-sm: 0.875rem; /* 14px */
    --space-sm: 0.5rem;
    --space-md: 1rem;
    --space-lg: 2rem;

    --text-color:rgba(0,0,0,0.9);
    --text-color-article:rgba(0,0,0,0.65);
    --text-color-memo:rgba(0,0,0,0.5);
    --text-dark-color:rgba(255,255,255,0.9);
    

    --link-color-hover: rgba(0,0,0,0.95);
    --link-color-active: rgba(0,0,0,1);

    --border-button-color:rgba(0,0,0,0.1);
    --border-button-dark-color:rgba(255,255,255,0.3);
    --border-width:0.5px;
   
    --primary-color:#6E5FC9;

    --nav-link-color:rgba(0,0,0,0.9);
    --nav-link-hover-color:rgba(0,0,0,0.65);
    --nav-box-shadow: rgba(0, 0, 0, 0.02) 0px 0px 0px 1px, rgba(0, 0, 0, 0.02) 0px 1px 1px 0.5px, rgba(0, 0, 0, 0.02) 0px 3px 3px 1.5px, rgba(0, 0, 0, 0.02) 0px 6px 6px -3px, rgba(0, 0, 0, 0.02) 0px 12px 12px -6px, rgba(0, 0, 0, 0.02) 0px 24px 24px -12px;

    --nav-link-dark-color:rgba(255,255,255,0.9);
    --nav-link-dark-hover-color:rgba(255,255,255,0.65);

    --a-link-color:rgba(0,0,0,0.9);
    --a-link-hover-color:rgba(0,0,0,0.65);
    --a-link-dark-color:rgba(255,255,255,0.9);
    --a-link-dark-hover-color:rgba(255,255,255,0.65);

    --primary-link-color:#6E5FC9;
    --primary-link-hover-color:rgb(61, 48, 143);
    --primary-link-dark-color:#9b8bfb;
    --primary-link-dark-hover-color:#5b4db6;
    --star-color:#ffbf00;

    --icon-color:rgba(0,0,0,0.9);
    --icon-dark-color:rgba(255,255,255,0.8);
    --dy-border-color-1:transparent;
    --dy-border-color-2:rgb(10,10,10);

    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale; 
}
:root body {
    color:var(--text-color);  
}
::selection{
    color:var(--primary-color);
}

* {
    box-sizing: border-box;
    -webkit-font-smoothing: inherit;
}

h1,h2,h3,h4,h5,h6,p,figure {
    margin: 0;
    font-family: var(--font-family-global);
}

body,input,textarea,select,button,blockquote {
    font-family: var(--font-family-global);
    margin:0px;
    padding:0px;
}
button{
    user-select: none;
    cursor: pointer;
    pointer-events: auto;
}
a {
    text-decoration: none;
    user-select: none;
    cursor: pointer;
    pointer-events: auto;
    display: inline-block;
}
code {
    font-family: "Consolas", "Courier New", "monospace";
    line-height: 1.8rem;
}
code span.a{
    color:#ce9178;
}
code .b{
    color: #808080;
}
code .r1{
    color:#c586b6;
}
code .r2{
    color:#da5783;
}

code .c1{
    color:#7cdcfe;
}
code .c2{
    color:#4fc1ff;
}
code .c3{
    color:#3b91e2;
}
code .g1{
    color:#c2ffe2;
}
code .m{
    color:#4ec9b0;
}
code .y1{
    color:#fff2aa;
}
code .y2{
    color:#ffd700;
}



text[code] {
    word-break: break-word;
    color: rgba(0,0,0,0.45);
    margin:0 0.2em;
    padding-inline: 0.4em;
    padding-block: 0.2em 0.1em;
    background-color: rgba(150,150,150,0.1);
    border:solid 0.5px rgba(100,100,100,0.2);
    border-radius: 3px;
}
div,article,code {
    letter-spacing: 0.5px;
}
img.lazy-fade {
  opacity: 1;
  transition: opacity 0.3s;
}
img.lazy-fade.loading {
  opacity: 0;
}
.warden-container {
    width:auto;
    min-height: 100vh;
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center;
}

/** header */
.warden-header {
    position: fixed;
    height: auto;
    top:0;
    left:0;
    right:0;
    z-index: 1;
    padding-left: clamp(0.5rem, calc(1cqw + 0.5rem), 1.2rem);
    padding-right: clamp(0.5rem, calc(1cqw + 0.5rem), 1.2rem);
}
nav.warden-nav{
    width:100%;
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
}
.nav-top-gap {
    width:95px;
    height:1rem;
    position: relative;
    overflow: visible;
}
.nav-bar-box{
    height: min-content;
    display: flex;
    flex-flow: row;
    justify-content: center;
    align-items: center;
    width: 100%;
}
.nav-bar-container {
    flex:1 0 0;
    width: 1px;    
    display: flex;
    flex-flow: column;
    max-width: 1000px;
    justify-content: center;
    will-change: auto;
    border-radius: 0px;    
    border:solid 0.5px transparent;
    transition: all 0.3s cubic-bezier(0.22, 0.61, 0.36, 1);
}

.nav-bar-content {
    display: flex;
    flex-flow: row;
    align-items: center;
    justify-content: space-between;
    white-space: nowrap;
    gap: 42px;
    height: 56px;
    transition: all 0.3s cubic-bezier(0.22, 0.61, 0.36, 1);
    
}
/** nav - menu */
.menu-box {
    margin:0px;
    padding:0px;
    display: flex;
    flex-flow: row;
    align-items: center;
    justify-content: space-between;
    transition: all 0.3s ease;  
}
.menu-box li {
    list-style-type: none;
    position: relative;
    padding:0px 16px;
    z-index: 0;
}

.menu-box li::after {
    content:'';
    position: absolute;
    top:13px;
    bottom:13px;
    left:0px;
    right:0px;
    background-color: transparent;    
    height: 30px;
    border-radius: 15px;
    z-index: -1;
}
.menu-box li:first-of-type {
    padding:0px 10px 0px 16px;
}
.menu-box li.selected::after {
    background-color: #eaeaea;
}
.menu-box li>a,.menu-box li>label {
    font-size: clamp(var(--fs-mm), 1vw, 1rem);
    font-weight:500;
    text-decoration: none;
    position: relative;
    display: inline-block;
    cursor: pointer;
    color: var(--nav-link-color);
    height:56px;
    line-height: 56px;
    transition: all 0.3s ease;    
}
.menu-box li>a::before,.menu-box li>label::before{
    content: '';
    position: absolute;
    bottom: 8px;
    left: 50%;
    transform: translateX(-50%);
    width: 0;
    height: clamp(2px,1vw,3px);
    background-color: #eaeaea;
    border-radius: 999px;
    transition: all 0.3s ease;
}
.menu-box li>a:hover,.menu-box li>label:hover{
    color:var(--nav-link-hover-color);
    transition: all 0.3s ease;
}
.menu-box li>a:hover::before,.menu-box li>label.selected::before{
    background-color:var(--nav-link-color);
    width:100%;
    transition: all 0.3s ease;
}

.menu-box li>a:active{
    color:var(--nav-link-color);
    transition: color 0.3s;
}
.menu-box li>a:active::before{
    background-color:var(--nav-link-color);
    width: 70%;    
}

.menu-box li .dropdown{
    position: relative;
    display: inline-block;    
}
.menu-box li .dropdown::after{    
    content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='13' height='13' fill='rgba(0,0,0,0.9)' viewBox='0 0 24 24' stroke-width='1.5' stroke='currentColor' %3E%3Cpath stroke-linecap='round' stroke-linejoin='round' d='M12 6.75a.75.75 0 1 1 0-1.5.75.75 0 0 1 0 1.5ZM12 12.75a.75.75 0 1 1 0-1.5.75.75 0 0 1 0 1.5ZM12 18.75a.75.75 0 1 1 0-1.5.75.75 0 0 1 0 1.5Z' /%3E%3C/svg%3E");
    display: inline-block;
    transform-origin: center;
    transition: transform 0.3s ease;
}
.menu-box li .dropdown.selected::before{
    width: 70%;
    left:15px;
}
.menu-box li .dropdown:hover::after{
    transform: rotate(90deg);
}
.menu-box li .dropdown:hover .dropdown-box{
    display: block;
}

.menu-box li .dropdown .dropdown-box {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: white;
    min-width: 160px;
    box-shadow: var(--nav-box-shadow);
    z-index: 1;
    padding:12px;
    border-radius: 0px 0px 10px 10px;
}


.dropdown .dropdown-box a {
    display: flex;    
    justify-content: space-between;
    align-items: center;
    text-decoration: none;
    cursor: pointer;
    white-space:nowrap;
    line-height: 24px;
    padding:4px 12px;
    gap: 14px;    
    color:var(--nav-link-color);
    border-radius: 4px;
    background-color: transparent;
    transition: all 0.2s ease;
    
}
.dropdown .dropdown-box a:hover {
    background-color:rgba(0,0,0,0.05);
}

.dropdown .dropdown-box a:active,.dropdown .dropdown-box a.active {
    background-color:rgba(0,0,0,0.7);
    color:white;
}
.dropdown-box svg.free-svg path:last-of-type {
    fill:white;
}
/** nav - logo */
.logo-box {
    border-right:solid 1px transparent;
    padding-right: clamp(6px,calc(1cqw + 0.5rem), 10px);
    position: relative;
}
.logo-box::after{
    content: '';
    position: absolute;
    top:50%;
    right:0px;
    transform: translateY(-50%);
    transform-origin: 50% 50%;
    width: 0.5px;
    height:30%;
    background-color: transparent;
}
.logo-btn {
    display: flex;    
    align-items: center;    
    line-height: 0px;
    gap: 10px;
    transition: all 0.3s ease; 
}

.logo-btn img {
    width:32px;
}
.logo-btn svg {
    width: 2rem;
}

.logo-btn span {
    display: block;
    color:var(--text-color);
    font-family: "Fredoka-one-logo";
    font-weight: 400;
    font-size: 18px; 
    white-space:nowrap;
}

svg.loading {
    fill:currentColor;
    animation: rotate 2s linear infinite;
}

/** login - button */
.login-btn-box {
    height: 32px;
}
.login-btn {    
    display: flex;
    align-items: center;
    text-decoration: none;
    font-size: clamp(var(--fs-mm), 1vw, 1rem);
    font-weight: 400;
    position: relative;
    overflow: hidden;
    gap:8px;
    height: 100%;
    color:var(--text-color);
    justify-content: center;   
    border: solid var(--border-width) transparent;
    padding:0px 9px 0px 16px;
    border-radius: 999px;
    isolation: isolate;
    transition: all 0.3s ease; 
    will-change: auto;
}
.login-btn::after{
  content: "";
  position: absolute;
  inset: 0;
  background: transparent;
  opacity: 0;
  transition: opacity 0.3s ease;
  z-index: 0;
}
.login-btn span{
    z-index: 1;
}
.login-btn svg {
    z-index: 1;
    width: clamp(0.875rem,calc(1cqw + 0.1rem), 1rem);
}
.uid-btn {
    width: 32px;
    height: 32px;
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    border:solid 0.5px var(--dy-border-color-2);
    border-radius: 16px;    
}
.uid-btn img {
    width: 90%;
    border-radius: 999px;
}

/** mobile nav */
.mobile-bar-content {
    display: none;   
    flex-flow: column; 
}
.mobile-bar-content .login-btn {
    border:solid var(--border-width) var(--dy-border-color-1);
}
.nav-extact-box {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap:10px;
    height: 32px;
}

.mobile-menu-more-box>button{
    background-color: transparent;
    user-select: none;
    text-align: center;
    padding:0px;
    margin:0px;
    border:solid var(--border-width) var(--border-button-color);
    width: 32px;
    height:32px;
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    border-radius: 999px;
    white-space:nowrap;
}

/** mobile menu btn */
.menu-icon-svg {
    display: block;
    width: var(--size, 24px);
    height: var(--size, 24px);
    cursor: pointer;
    fill: var(--icon-color);
    color:var(--icon-color);
}
.menu-icon-line {
    stroke: currentColor;
    stroke-width: 2;
    stroke-linecap: round;   
    transition: all 0.3s cubic-bezier(0.68, -0.55, 0.27, 1.55), opacity 0.3s;
    transform-origin: center;
}
.menu-icon--animate .menu-icon-line-1 { transform: rotate(45deg) translateY(6px); }
.menu-icon--animate .menu-icon-line-2 { transform: scaleX(0.1);  }
.menu-icon--animate .menu-icon-line-3 { transform: rotate(-45deg) translateY(-6px); }

.mobile-menu-popup {
    display: none;
    flex-flow: row;
    align-items:flex-start;
    border-radius: 0px;
    border-bottom:solid var(--border-width) var(--border-button-color);
    background-color: white;
    font-size: clamp(var(--fs-mm), 1vw, 1rem);
    gap: 10px;
    font-weight: 400;
    transform-origin: 50% 50%;
    transition: all 0.3s ease;
    height: 0px;
    overflow: hidden;
}
.mobile-menu-popup.animating{
    display: flex;
    opacity: 0;    
    transform: translateY(-10px);
}
.mobile-menu-popup.open {
    opacity: 1; 
     height: 148px;
    transform: translateY(0px);
}
.mobile-menu-popup>div{
    display: flex;
    flex-flow: column;    
    justify-content: flex-start;
    align-items: flex-start;
    padding:16px 22px;
}
.mobile-menu-popup>div>a{
    display: flex;
    flex-flow: row;
    align-items: center;
    justify-content: flex-start;    
    color:var(--nav-link-color);    
    white-space:nowrap;
    border-radius: 4px;
    gap:10px;
    height: 28px;
    padding:4px 8px;
}

.mobile-menu-popup>div.product-items{
    font-weight: 200;
}

.mobile-menu-popup>div>a:hover,.mobile-menu-popup>div>a.active{
    color:var(--nav-link-hover-color);
    background-color: #eaeaea;
}

.mobile-menu-popup>div>a:active{
    opacity: 0.7;
}
.mobile-menu-popup>div>a svg {
    color:rgb(150,150,150);
}
.mobile-menu-popup>div>a svg.free-svg path:last-of-type {
    fill:white;
}

/** toast */
#toast-frame {
    position: fixed;
    z-index: 9999;
    max-width: 300px;
    width: 100%; 
    left: 50%;
    transform: translateX(-50%); 
}

#toast-frame.bottom-center {
    bottom: 20px;
    top: auto;
}

#toast-frame.top-center {
    top: 20px;
    bottom: auto;
}

#toast-frame.bottom-right,
#toast-frame.top-right {
    left: auto;
    transform: none;
    right: 20px;
}

#toast-frame.bottom-left,
#toast-frame.top-left {
    left: auto;
    transform: none;
    right: auto;
    left: 20px;
}

.toast-item {
    background: rgba(0, 0, 0, 0.8);
    color: white;
    padding: 12px 16px;
    margin-bottom: 10px;
    border-radius: 4px;
    font-size: 14px;
    opacity: 0;
    transform: translateY(100%);
    transition: all 0.3s ease;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    margin-left: auto;
    margin-right: auto;
    width: fit-content;
}

.toast-item.show {
    opacity: 1;
    transform: translateY(0);
}

.toast-item.success { background: rgba(40, 167, 69, 0.9); }
.toast-item.error { background: rgba(220, 53, 69, 0.9); }
.toast-item.info { background: rgba(10, 10, 10, 0.9); }

/** button and a-link */
.button {
    cursor: pointer;
    gap:8px;
    display: flex;
    flex-flow: row;
    justify-content: center;
    min-width: min-content;
    min-height: min-content;
    text-decoration: none;
    padding:8px 14px;
    position: relative;
    overflow: hidden;
    background: transparent;
    border:none;
    white-space:nowrap;
    font-size: clamp(var(--fs-mm), 1vw, 1rem);
}
.button svg {
    font-size: 1rem;
    width: 1rem;
    transform-origin: 50% 50%;
}

/** nav sticky */
.nav-bar-container.nav-container-sticky {    
    background-color: rgb(255, 255, 255);
    border-radius: 28px;
    
    flex:none;
    width: min-content;
    box-shadow: var(--nav-box-shadow);
    transform: none;
    transform-origin: 50% 50% 0px; 
}
.nav-bar-container.nav-container-sticky .nav-bar-content {
    margin:0px 12px 0px 24px;
}
.nav-bar-container.nav-container-sticky .mobile-menu-popup { 
    border-color: transparent;   
    background-color: rgb(250,250,250);
    border-radius: 0px 0px 28px 28px;
}
.nav-bar-container.nav-container-sticky .logo-btn span {
    width: 0px;     
    overflow: hidden; 
}
.nav-bar-container.nav-container-sticky .logo-box::after {
    background-color: #d9d9d9;    
}
.nav-bar-container.nav-container-sticky .logo-btn img {
    width:28px;
}
.nav-bar-container.nav-container-sticky .logo-btn svg {
    width:28px;
}
.nav-bar-container.nav-container-sticky .login-btn {
    color:white;
}
.nav-bar-container.nav-container-sticky .login-btn::after {
    opacity: 1;    
    background: linear-gradient(#404040 0%, #222222 100%);
}

/** bottom */
.warden-bottom {
    background-color: rgba(0,0,0,0.02);
    padding:1rem 0px;
    margin-top: 2rem;
    width: 100%;
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center;
}
.bottom-box { 
    width:100%;
    max-width: 1000px;   
    display: flex;
    flex-flow: row;
    justify-content:space-between;
    align-items: stretch;
    gap: 2rem;
    padding:1rem;
}
.bottom-box dl {
    width:100%;
    overflow: hidden;    
    white-space: nowrap;
    margin: 0px;
    padding: 0px;
    line-height: 1.4rem;
}
.bottom-box dt {
    margin: 0px;
    padding: 0px;
    font-weight: 600;
    font-size: 1rem;
    padding:0.4rem 0px;
}
.bottom-box dd {   
    width: 100%; 
    overflow: hidden;
    text-overflow: ellipsis;
    margin: 0px;
    padding: 0px;
    font-size: 0.875rem;
    list-style-type: none;
}
.bottom-box a {
    color: rgb(80,80,80);

}
.bottom-box a:hover{
    color:rgb(10,10,10);
}
.bottom-box img.qrcode {
    width: 80px;
}
.bottom-copy {
    font-size: 13px;  
    line-height: 1.2rem;      
}
/** nav dark stick */
.nav-bar-container.nav-dark-sticky {
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    background-color: rgba(50, 50, 50,0.3);
    border:solid 0.5px rgba(255,255,255,0.3);
}
.nav-bar-container.nav-dark-sticky .nav-bar-content {
    margin:0px 12px 0px 24px;
}
.nav-bar-container.nav-dark-sticky .menu-box li.selected::after{
    background-color: var(--primary-color);
}
.nav-bar-container.nav-dark-sticky .menu-box li>a,.nav-bar-container.nav-dark-sticky .menu-box li>label {
    color:var(--nav-link-dark-color);
}
.nav-bar-container.nav-dark-sticky .menu-box li>a:hover,.nav-bar-container.nav-dark-sticky .menu-box li>label {
    color:var(--nav-link-dark-hover-color);
}
.nav-bar-container.nav-dark-sticky .menu-box li>a::before,.nav-bar-container.nav-dark-sticky .menu-box li>label::before{    
    background-color: #eaeaea;
}
.nav-bar-container.nav-dark-sticky .menu-box li>a:hover::before{
    background-color:var(--nav-link-dark-color);
}
.nav-bar-container.nav-dark-sticky .menu-box li>a:active{
    color:var(--nav-link-dark-color);
}
.nav-bar-container.nav-dark-sticky .menu-box li>a:active::before{
    background-color:var(--nav-link-dark-color);
}
.nav-bar-container.nav-dark-sticky .menu-box li .dropdown::after{  
    content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='13' height='13' fill='rgba(0,0,0,0.9)' viewBox='0 0 24 24' stroke-width='1.5' stroke='white' %3E%3Cpath stroke-linecap='round' stroke-linejoin='round' d='M12 6.75a.75.75 0 1 1 0-1.5.75.75 0 0 1 0 1.5ZM12 12.75a.75.75 0 1 1 0-1.5.75.75 0 0 1 0 1.5ZM12 18.75a.75.75 0 1 1 0-1.5.75.75 0 0 1 0 1.5Z' /%3E%3C/svg%3E"); 
}
.nav-bar-container.nav-dark-sticky .menu-box li .dropdown .dropdown-box {
    background-color: rgba(25, 25, 25, 0.9);
    border:solid 0.5px rgba(255,255,255,0.3);
}
.nav-bar-container.nav-dark-sticky .dropdown .dropdown-box a {  
    color:var(--nav-link-dark-color);    
}
.nav-bar-container.nav-dark-sticky .dropdown .dropdown-box a:hover {
    background-color:rgba(255,255,255,0.1);
}
.nav-bar-container.nav-dark-sticky .dropdown .dropdown-box a:active {
    background-color:rgba(255,255,255,0.4);
    color:white;
}
.nav-bar-container.nav-dark-sticky .mobile-menu-popup {   
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    background-color: rgba(255, 255, 255,0.05);
}
.nav-bar-container.nav-dark-sticky .dropdown-box svg.free-svg path:last-of-type{
    fill:rgba(0,0,0,0.9);
}

.nav-bar-container.nav-dark-sticky .logo-box::after {
    background-color: rgba(255,255,255,0.2);    
}

.nav-bar-container.nav-dark-sticky .logo-btn svg linearGradient>stop:first-of-type {
    stop-color: #9a8de9;
}
.nav-bar-container.nav-dark-sticky .logo-btn svg linearGradient>stop:last-of-type {
    stop-color: #6E5FC9;
}

.nav-bar-container.nav-dark-sticky .login-btn {
    color:rgba(0,0,0,0.8);
}
.nav-bar-container.nav-dark-sticky .login-btn::after {
    opacity: 1;    
    background: rgba(255,255,255,0.6);
}
.nav-bar-container.nav-dark-sticky .uid-btn {
    border-color: var(--border-button-dark-color);
}
.nav-bar-container.nav-dark-sticky .menu-icon-svg {
    fill: var(--icon-dark-color);
    color:var(--icon-dark-color);
}
.nav-bar-container.nav-dark-sticky .mobile-menu-more-box>button {
    border-color: var(--border-button-dark-color);
}

.nav-bar-container.nav-dark-sticky .mobile-menu-popup>div>a{    
    color:var(--nav-link-dark-color);  
}

.nav-bar-container.nav-dark-sticky .mobile-menu-popup>div>a:hover,
.nav-bar-container.nav-dark-sticky .mobile-menu-popup>div>a.active{
    color:var(--nav-link-dark-hover-color);
    background-color: rgba(10,10,10,0.6);
}

.nav-bar-container.nav-dark-sticky .mobile-menu-popup>div>a svg {
    color:rgb(150,150,150);
}
.nav-bar-container.nav-dark-sticky .mobile-menu-popup>div>a svg.free-svg path:last-of-type {
    fill:rgba(0,0,0,0.9);
}

/** warden page background */
.warden-background {
    position: absolute;   
    transform: translateZ(0);
    top:0px;
    left:0px;
    right:0px;
}


.alink {
    position: relative;
    overflow: hidden;
}
.alink::after {
    content:'';
    display: block;
    position: absolute;
    width: 100%;
    left: 0%;
    top: 0%;
    height: 100%;
    inset: 0;
    background-color: white;
    opacity: 0;
    pointer-events: none;  
    transition: opacity 0.6s ease;
}
.alink:active::after {
  opacity: 1;
  transition: opacity 0.6s ease;
}

.clink {
    color:rgb(150,150,150);
}
.clink:hover{
    color:rgb(10,10,10);
    text-decoration: underline;
}
.clink:active{
    color: rgb(150,150,150);
}
/** warden layout root */
.warden-root {
    width: auto;
    height:min-content;
    min-height: 100vh;
    display: contents;
}
.warden-triggers-box{
    position: absolute;
    overflow: visible;
    width: 100%;
    top:0px;
    left:0px;
}
#trigger-nav-box{
    position: absolute;
    left:0px;
    top:0px;
    height: 1px;
}

.toast-container {
    display: none;
    opacity: 0;
    position: fixed;
    z-index: 1100;
    inset: 0;
    height: 100%;
    background-color: rgb(0,0,0,0.3);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    flex-direction: column;
    justify-content: center;
    align-items: center; 
    transition: all 0.3s ease;
}
.toast-container.show{
    opacity: 1;
}
.toast-box {
    border-radius: 10px;
    background-color: white;
    height: min-content;
    transition: all 0.3s ease;   
    padding:1.4rem;
}
.toast-title {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}
.toast-panel {    
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;  
}
.toast-panel .qr-code {
    width: 220px;

}
.toast-panel .qr-code img {
    width: 100%;    
}
.toast-context {
    line-height: 26px;
    text-align: center;
    padding-top: 1rem;
}
.toast-context .button {
    background-color: transparent;
    border-radius: 26px;
    border:solid 2px rgb(10,10,10);
    color:rgb(10,10,10);
    padding:4px 14px;
    margin-top: 1rem;
    transition: all 0.3s ease; 
}
.toast-context .button:hover{
    background-color: #eaeaea;
}
.toast-context .button:active {
    opacity: 0.6;
}

html:lang(en) .menu-box li .dropdown.selected::before {
    width: 80%;
    left: 31px;
}
html:lang(en) .prd-hero-content h2 {
    font-weight: 500;
}
html:lang(en) .prd-hero-content h1 {
    font-weight: 600;
}
@media screen and (max-width: 1408px) {
   
}
@media screen and (max-width: 1204px) {
    
}

@media screen and (max-width: 790px) {
    div[data-mode="mobile"] {
        display: flex;
    }
    div[data-mode="desktop"]{
        display: none;
    }   
    .login-btn {
        padding:0px 16px;
    }
    .nav-bar-container {
        height: min-content;
    }
    .nav-bar-container.nav-container-sticky{
        width: 100%;
        flex:1;
    }
    .nav-bar-container.nav-container-sticky .login-btn{
        border:none;
    }
    :root {
        --dy-border-color-1:rgba(0,0,0,0.1);
        --dy-border-color-2:rgba(0,0,0,0.1);
    }
        
    .warden-bottom {
        margin-top: 0.65rem;
        padding:0px;
    }
    .bottom-box { 
        flex-wrap: wrap;
        gap:0;

    }
    
    .bottom-box>div{
        width: 50%;
        padding:1rem;
    }
    .bottom-box>div:first-of-type {
        display: none;
    }
}
@media screen and (max-width: 600px) {    
    .login-btn svg {
        display: none;
    }
}

